@media (max-width: 480px) {
  .product-sideBar {
    justify-content: space-between;
  }

  .category-cart {
    width: 100%;
  }

  .category-section {
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 20px;
  }

  .banner2-container,
  .banner1-container {
    display: none;
  }

  .fade-product {
    display: none;
    width: 50%;
    margin: 18px auto;
  }

  .sideBar-title {
    font-size: 14px;
    margin: 0px;
  }

  .sideBar-seeAll {
    font-size: 12px;
    gap: 5px;
  }

  .icon-seeAll {
    font-size: 10px;
  }

  .new-product__ads__container {
    display: none;
  }

  .new-products__carts {
    overflow: auto;
  }

  .new-product {
    width: 280px;
  }

  .scrollable-carousel {
    padding: 20px 0px;
  }

  .brand-cart {
    width: 46%;
  }

  .top-footer {
    flex-wrap: wrap;
    gap: 20px;
  }

  .top-footer__cart {
    width: 100%;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
  }

  .mid-footer {
    flex-wrap: wrap;
    gap: 20px;
  }

  .mid-right,
  .mid-mid {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
  }

  .mid-left {
    width: 100%;
  }

  .social-media__svg {
    gap: 20px;
  }

  .header-logo__link,
  .search-input {
    display: none;
  }

  .bars-img {
    display: block !important;
  }

  .bottom-header {
    display: none;
  }

  .main-top {
    flex-wrap: wrap;
  }

  .top-mid {
    width: 100%;
  }

  .main-img {
    max-height: 280px;
    margin-top: 12px;
  }

  .top-right {
    width: 100%;
    height: 80%;
    justify-content: center;
    align-items: center;
  }

  .child-img__container {
    display: none;
  }

  .product-features {
    margin-top: 50px;
  }

  .top-left {
    width: 100%;
    margin-top: 20px;
    padding: 0px;
  }

  .attention-fade,
  .top-mid__hr,
  .hr_footer {
    width: 100%;
    display: block;
  }

  .top-mid__hr {
    margin: 50px 0px;
  }

  .submit-comment__btn {
    width: 100%;
  }

  .survey {
    width: 100%;
  }

  .comment-section__bot {
    flex-wrap: wrap;
    gap: 10px;
  }

  .config-cart {
    justify-content: space-between;
  }

  .cofing-cart__title {
    width: 40%;
  }

  .config-cart__desc {
    font-size: 14px;
  }

  .bottom-comment__cart {
    flex-wrap: wrap;
  }

  .qustion-about__comment {
    width: 100%;
  }

  .left-and__right {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .right-container,
  .left-container {
    width: 100%;
  }

  .left-container {
    align-self: center;
  }

  .similar-blog {
    flex-wrap: wrap;
  }

  .blog-cart {
    width: 100%;
  }

  .top-blog__data {
    flex-wrap: wrap;
  }

  .blog-line {
    width: 100%;
  }

  .road-container {
    flex-wrap: wrap;
  }

  .blog-desc__container {
    padding: 20px 0px;
  }

  .bot-blog__data {
    gap: 20px;
    flex-wrap: wrap;
    margin: 0px 20px;
  }

  .mid-contactUs__container {
    justify-content: center;
    align-items: center;
  }

  .links-ul,
  .mid-left__title1,
  .mid-left__title2 {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .fade-footer {
    width: 100%;
  }

  .brands {
    gap: 10px;
  }

  .brand-cart {
    height: 160px;
  }

  .blog-img {
    aspect-ratio: 268 / 200;
  }

  .desc-title__container {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .mid-footer {
    margin-bottom: 20px;
  }

  .category-title {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .footer-copyright {
    margin-top: 20px;
  }
}

@media (min-width: 481px) and (max-width: 768px) {
  .category-section {
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 20px;
  }

  .icon-seeAll {
    font-size: 10px;
  }

  .sideBar-seeAll {
    font-size: 12px;
    gap: 5px;
  }

  .sideBar-title {
    font-size: 14px;
    margin: 0px;
  }

  .fade-product {
    width: 50%;
    margin: 18px auto;
  }

  .new-product__ads__container {
    display: none;
  }

  .new-products__carts {
    overflow: auto;
  }

  .new-product {
    width: 280px;
    height: 400px;
  }

  .scrollable-carousel {
    padding: 20px 0px;
  }

  .top-footer {
    flex-wrap: wrap;
    gap: 20px;
  }

  .top-footer__cart {
    width: 47%;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
  }

  .mid-footer {
    flex-wrap: wrap;
    gap: 20px;
  }

  .mid-right,
  .mid-mid {
    width: 47%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .mid-left {
    width: 100%;
  }

  .header-logo__link,
  .search-input {
    display: none;
  }

  .bars-img,
  .header-logo__mid {
    display: block !important;
  }

  .bottom-header {
    display: none;
  }

  .main-top {
    flex-wrap: wrap;
  }

  .top-mid {
    width: 100%;
  }

  .main-img {
    max-height: 400px;
    margin-top: 16px;
  }

  .top-right {
    width: 100%;
    height: 80%;
    justify-content: center;
    align-items: center;
  }

  .child-img__container {
    display: none;
  }

  .product-features {
    margin-top: 50px;
  }

  .top-left {
    width: 100%;
    margin-top: 20px;
    padding: 0px;
  }

  .attention-fade,
  .top-mid__hr {
    width: 100%;
  }

  .submit-comment__btn {
    width: 100%;
  }

  .survey {
    width: 100%;
  }

  .comment-section__bot {
    flex-wrap: wrap;
    gap: 10px;
  }

  .attention-fade,
  .top-mid__hr,
  .hr_footer {
    width: 100%;
    display: block;
  }

  .top-mid__hr {
    margin: 50px 0px;
  }

  .cofing-cart__title {
    width: 50%;
  }

  .bottom-comment__cart {
    flex-wrap: wrap;
  }

  .qustion-about__comment {
    width: 100%;
  }

  .left-and__right {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .right-container,
  .left-container {
    width: 100%;
  }

  .left-container {
    align-self: center;
  }

  .similar-blog {
    flex-wrap: wrap;
  }

  .blog-cart {
    width: 48%;
  }

  .top-blog__data {
    flex-wrap: wrap;
    gap: 20px;
  }

  .blog-line {
    width: 100%;
  }

  .road-container {
    flex-wrap: wrap;
  }

  .fade-footer {
    width: 100%;
  }

  .blog-img {
    aspect-ratio: 268 / 200;
  }

  .mid-footer {
    margin-bottom: 20px;
  }

  .category-title {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .mid-contactUs__container {
    align-items: center;
    justify-content: center;
  }

  .links-ul {
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

@media (min-width: 769px) and (max-width: 1024px) {
  .category-section {
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 20px;
  }

  .fade-product {
    width: 60%;
  }

  .fade-footer {
    width: 100%;
  }

  .new-product__ads__container {
    display: none;
  }

  .new-products__carts {
    overflow: auto;
  }

  .new-product {
    width: 280px;
    height: 400px;
  }

  .scrollable-carousel {
    padding: 20px 0px;
  }

  .top-footer {
    flex-wrap: wrap;
    gap: 20px;
  }

  .top-footer__cart {
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
  }

  .mid-footer {
    flex-wrap: wrap;
    gap: 20px;
  }

  .mid-right,
  .mid-mid {
    width: 48%;
  }

  .mid-left {
    width: 100%;
  }

  .search-input {
    width: 80%;
  }

  .main-top {
    flex-wrap: wrap;
  }

  .top-mid {
    width: 60%;
  }

  .top-right {
    width: 40%;
  }

  .top-left {
    width: 100%;
    margin-top: 20px;
    padding: 0px;
  }

  .attention-fade,
  .top-mid__hr,
  .hr_footer {
    width: 100%;
  }

  .top-mid__hr {
    margin: 50px 0px;
  }

  .comment-section__bot {
    gap: 20px;
  }

  .submit-comment__btn {
    width: 60%;
  }

  .survey {
    width: 40%;
    gap: 0px;
  }

  .approve-product__title,
  .reject-product__title {
    font-size: 12px;
  }

  .fill-green-500,
  .fill-red-500 {
    width: 15px;
    height: 15px;
  }

  .cofing-cart__title {
    width: 50%;
  }

  .left-and__right {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .right-container,
  .left-container {
    width: 100%;
  }

  .left-container {
    align-self: center;
  }

  .similar-blog {
    flex-wrap: wrap;
  }

  .blog-cart {
    width: 48%;
  }

  .blog-line {
    width: 100%;
  }

  .main-img {
    max-height: 560px;
  }

  .blog-img {
    aspect-ratio: 268 / 200;
  }

  .mid-footer {
    margin-bottom: 20px;
  }
}

@media (min-width: 1025px) and (max-width: 1280px) {
  .fade-product {
    width: 70%;
  }

  .new-product__ads__container {
    display: none;
  }

  .new-products__carts {
    overflow: auto;
  }

  .new-product {
    width: 280px;
    height: 400px;
  }

  .scrollable-carousel {
    padding: 20px 0px;
  }

  .main-top {
    flex-wrap: wrap;
  }

  .top-mid {
    width: 70%;
  }

  .top-left {
    width: 100%;
    margin-top: 20px;
    padding: 0px;
  }

  .attention-fade,
  .top-mid__hr,
  .hr_footer {
    width: 100%;
  }

  .top-mid__hr {
    margin: 50px 0px;
  }

  .comment-section__bot {
    gap: 20px;
  }

  .submit-comment__btn {
    width: 60%;
  }

  .survey {
    width: 40%;
  }

  .left-and__right {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .right-container,
  .left-container {
    width: 100%;
  }

  .left-container {
    align-self: center;
  }

  .similar-blog {
    flex-wrap: wrap;
  }

  .blog-cart {
    width: 48%;
  }

  .blog-line {
    width: 100%;
  }

  .fade-footer {
    width: 100%;
  }

  .main-img {
    max-height: 660px;
  }

  .blog-img {
    aspect-ratio: 268 / 200;
  }
}
